﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Database.aspx.cs" Inherits="EDC.EasyBox.ServiceApplication.Database" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Diagnostics Interface</title>
    <link rel="stylesheet" type="text/css" href="Content/css/bootstrap.min.css" />
    <link rel="stylesheet" type="text/css" href="Content/css/bootstrap-theme.min.css" />
    <link rel="stylesheet" type="text/css" href="Content/css/app.css" />
    <script type="text/javascript" src="Content/js/jquery-1.12.0.min.js"></script>
    <script type="text/javascript" src="Content/js/bootstrap.min.js"></script>
</head>
<body>
    <div class="container">
        <asp:Literal ID="ltlAntiXssNotify" runat="server"></asp:Literal>
        <nav class="navbar navbar-default">
            <div class="container-fluid">
                <div class="navbar-header">
                    <button class="navbar-toggle collapsed" aria-expanded="false" aria-controls="navbar" type="button" data-toggle="collapse" data-target="#navbar">
                        <span class="sr-only">Toggle navigation</span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>
                    <a class="navbar-brand" href="Index.aspx">
                        <span>
                            <img src="Content/images/easybox_big.png" /></span>
                        EasyBox Service Application - Diagnostics Interface
                    </a>
                </div>
                <div class="navbar-collapse collapse" id="navbar">
                    <ul class="nav navbar-nav navbar-right">
                        <li><a href="Database.aspx">Database</a></li>
                        <li><a href="Service.aspx">Service</a></li>
                    </ul>
                </div>
                <!--/.nav-collapse -->
            </div>
            <!--/.container-fluid -->
        </nav>
        <div class="jumbotron">
            <div class="row">
                <div class="col-lg-6">
                    <h3>Database Connection</h3>
                    <asp:Literal ID="ltlConnection" runat="server"></asp:Literal>
                    <h3>Database Account</h3>
                    <asp:Literal ID="ltlAccount" runat="server" Text="N/A"></asp:Literal>
                    <h3>Database Permissions</h3>
                    <asp:Literal ID="ltlPermissions" runat="server" Text="N/A"></asp:Literal>
                </div>
                <div class="col-lg-6">
                    <form runat="server" id="frmAntiXss">
                        <h3>Fix Anti XSS issues</h3>
                        <asp:Button ID="btnAntiXss" runat="server" Text="Run now" OnClick="btnAntiXss_Click" CssClass="btn btn-lg btn-primary" />
                    </form>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
